Commit [fcb818]  Maximize  Restore  History

Remove daemon/liblegacy since 2.4 kernels are no longer supported

A build problem reported by Vineet Gupta (Vineet.Gupta1@synopsys.com)
involving a compile failure of liblegacy code when built under uClibc
made it clear that we missed some things when support for 2.4 kernels
was removed in Oct 2012. The daemon/liblegacy directory is all about
support for 2.4 kernels, so this patch completely removes that directory.
Of course, this caused some breakage elsewhere in the oprofile tree
which needed fixing up.

Signed-off-by: Maynard Johnson <maynardj@us.ibm.com>

Maynard Johnson Maynard Johnson 2012-12-05

<< < 1 2 (Page 2 of 2)
changed libop/op_config.c
changed libop/op_config.h
removed libop/op_config_24.h
changed libop/op_cpu_type.h
changed libop/op_get_interface.c
changed utils/opcontrol
libop/op_config.c Diff Switch to side-by-side view
Loading...
libop/op_config.h Diff Switch to side-by-side view
Loading...
libop/op_config_24.h
File was removed.
libop/op_cpu_type.h Diff Switch to side-by-side view
Loading...
libop/op_get_interface.c Diff Switch to side-by-side view
Loading...
utils/opcontrol Diff Switch to side-by-side view
Loading...
<< < 1 2 (Page 2 of 2)

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks